View Issue Details

IDProjectCategoryLast Update
0021331AI War 2[All Projects] Gameplay IdeaAug 1, 2019 12:43 pm
Reporterx4000BughunterAssigned ToRocketAssistedPuffin 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.871 More Control, Part 1 
Fixed in Version0.877 The Strikecraft Goldilocks Zone 
Summary0021331: Golems and Spire to become more powerful.
DescriptionOkay, so this is based off of the discussion here and Kesseleth's document: https://forums.arcengames.com/ai-war-ii/potential-gameplaybalance-changes-kessel-puffin-starkelp/

But here's my revision to the design:

1. Arks would remain as they are right now, and are Officer fleets. Though I suppose we could just start calling them Ark fleets instead, to be more clear.

2. Golems would get a massive power boost, and be a new fleet type that we would call Golem Fleets. Those fleets would be larger, and further away from the player, be fewer in number, and also have larger unit counts.

3. The Spire Frigates would also be a lot more powerful, but remain lone.

4. The starting fleets would be reworked to just include transports as the centerpieces, most likely.

5. To capture a golem or a spire fleet, you'll now have to pay 20 AIP.

6. Golem and spire fleets would NOT have a Fleet Hub, unlike the transport/ark fleets. I don't feel like that feels right for them, and it's just too many negative things all at once.

7. Any time a golem or a spire is crippled, it would be an immediate 5 AIP hit. Ouch. Regenerator golem may need to become AI-only, given its very nature. But they don't die permanently, they just are an AIP suck.

Notes from Kessel on results in gameplay:

"Players will have to be more careful about which fleets they capture, as Fleet Hubs mean players must defend the planets the fleets are found on. This helps with the current strategy of grabbing as many fleets as possible and becoming powerful early.

Planets that fleets spawn on will be valuable and important to defend. This is analogous to certain special structures in AI War 1, which gave valuable bonuses but were lost permanently if destroyed. This is either equally harsh or slightly less so, depending on decisions made above, but will help make gameplay more interesting and tactical.

Golems and Spire Frigates will become rare and powerful units, with only a few showing up in every game, but with game-changing impact for choosing to capture them. This, again, makes gameplay more interesting and tactical as it becomes important to choose fleets carefully.

Powerful units being more distant gives a greater feeling of progression as the player may amass more and stronger types of fleets as they explore beyond their starting area. This is important for Point 5.

Point 5: Increased Replayability and Player Choice

The above changes, in particular the changes that Golems and Spire Frigates are more powerful and incur significant AIP to obtain, allows for more varied paths to victory. Broadly speaking, the two main paths would be as follows.

Path 1: The low AIP path. A player may take the “easy pickings” fleets nearest them, which incur no AIP gain, and capture few or no fleets past this point. AIP would remain low throughout the game, but the player would have a fairly limited fleet to work with. The gameplay style would be a guerilla styled hit-and-run campaign as the player will likely keep captures and AIP to a minimum. This was a common tactic in AI War 1 and the proposed changes would allow its return while keeping changes such as fleets.

Path 2: The high AIP path. Alternatively, a player may choose to amass large amounts of power. This could include capturing every Golem and Spire Frigate on the map as well as many of the less powerful fleets, and potentially some of the middling fleets if they are added. his would cause a very significant increase in AI Progress, likely of several hundred points. The player would gain significant power as a result of these captures but would have to contend with enormous waves, huge threat, and difficult battles.

Other paths would be somewhere in between low and high AIP paths, possibly capturing some powerful fleets but not all, and a variable number of middling or weaker fleets, depending on the map, difficulty, etc.

Fallen Spire, once added, would be a sort of extreme version of Path 2, with AIP reaching three or four times the level seen in Path 2 but with far more Golems and Spire Frigates on the player’s side, and potentially extremely powerful Fallen Spire-exclusive ships.

Extensive balance testing will be necessary for ensuring that, with the changes implemented, neither extreme is at a notable advantage. AIP cannot be so dangerous that it vastly overpowers the added strength from powerful fleets, making high-AIP runs frustrating or borderline impossible. Conversely, the powerful cannot be so strong that the player is merely handicapping themselves by not capturing any, even with the added AIP from fleet captures."
TagsNo tags attached.

Relationships

child of 0021310 assignedx4000Bughunter Fleets Phase 3 - Parent 

Activities

x4000Bughunter

Jul 5, 2019 4:47 pm

administrator   ~0052059

This part is done:

* The game now seeds far fewer officer fleets, and only seeds them super far away from you.

* The game now seeds a bit more in the way of regular fleets to compensate.

* The lone wolf fleets all seed super far away from you now.

* None of the starting fleets contain Arks or Golems anymore -- so the emphasis returns to the actual small ships that they contain.
** Getting golems or Arks is now exclusively a mid-to-late-game activity, as they are far along on the map and not something you can start with.

* Arks and Golems and Spire will now be able to be made much stronger, since they are more rare, and the starting state of the game won't be all unbalanced based on that.

x4000Bughunter

Jul 12, 2019 12:13 pm

administrator   ~0052197

How is everyone feeling about the value that these bring to the table at this point?

x4000Bughunter

Aug 1, 2019 12:43 pm

administrator   ~0052372

In the absence of feedback, marking these as OK for now. If people feel underwhelmed by these units later on, I assume we'll hear about it.

Issue History

Date Modified Username Field Change
Jun 25, 2019 2:08 pm x4000Bughunter New Issue
Jun 25, 2019 2:08 pm x4000Bughunter Status new => assigned
Jun 25, 2019 2:08 pm x4000Bughunter Assigned To => x4000Bughunter
Jun 25, 2019 2:08 pm x4000Bughunter Relationship added child of 0021310
Jul 5, 2019 4:47 pm x4000Bughunter Note Added: 0052059
Jul 12, 2019 12:13 pm x4000Bughunter Assigned To x4000Bughunter => RocketAssistedPuffin
Jul 12, 2019 12:13 pm x4000Bughunter Status assigned => feedback
Jul 12, 2019 12:13 pm x4000Bughunter Note Added: 0052197
Aug 1, 2019 12:43 pm x4000Bughunter Status feedback => assigned
Aug 1, 2019 12:43 pm x4000Bughunter Resolution open => fixed
Aug 1, 2019 12:43 pm x4000Bughunter Fixed in Version => 0.877 The Strikecraft Goldilocks Zone
Aug 1, 2019 12:43 pm x4000Bughunter Note Added: 0052372
Aug 1, 2019 12:43 pm x4000Bughunter Status assigned => resolved